# PSF-LoginServer - master - net.psforever.objects.zones.ZoneHotSpotProjector
PSF - LoginServer - master - net.psforever.objects.zones.ZoneHotSpotProjector
Keywords: PSF LoginServer master net.psforever.objects.zones.ZoneHotSpotProjector

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

c

net.psforever.objects.zones

# ZoneHotSpotProjector 

###
Companion object ZoneHotSpotProjector

#### class ZoneHotSpotProjector extends Actor

Manage hotspot information for a given zone, keeping track of aggressive faction interactions, and maintaining the visibility state of the hotspots that alert of the location of that activity. One of the internal devices controlled by the `ZoneHotSpotDisplay`, this is the "projector" component that actually displays hotspots onto the zone's map.

Source
  ZoneHotSpotProjector.scala
See also

  `ZoneHotSpotDisplay`

Linear Supertypes
Actor, AnyRef, Any
Known Subclasses
ZoneHotSpotHistory

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZoneHotSpotProjector
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ZoneHotSpotProjector(zone: Zone, hotspots: ListBuffer[HotSpotInfo], blankingTime: FiniteDuration)

   zone

     the zone

   hotspots

     the data structure of hot spot information that this projector will be leveraging

   blankingTime

     how long to wait in between blanking periods

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Established: Receive

   The active message processing message handler.

   The active message processing message handler.

   returns

     a partial function

   See also

     `Zone.HotSpot.Activity`

     `Zone.HotSpot.ClearAll`

     `Zone.HotSpot.UpdateNow`

     `Zone.ActivityBy`

     `Zone.ActivityFor`

     `Zone.TryHotSpot`

     `ZoneHotSpotProjector.BlankingPhase`

     `ZoneHotSpotProjector.UpdateDurationFunction`

     `ZoneHotSpotProjector.UpdateMappingFunction`

5.  def Initializing: Receive

   Accept the `GalaxyService` hook and switch to active message processing when it arrives.

   Accept the `GalaxyService` hook and switch to active message processing when it arrives.

   returns

     a partial function

   See also

     `ActorContext.become`

     `ServiceManager`

     `ServiceManager.LookupResult`

     `ZoneHotSpotProjector.UpdateDurationFunction`

     `ZoneHotSpotProjector.UpdateMappingFunction`

6.  def TryHotSpot(displayLoc: Vector3): HotSpotInfo

   Match a hotspot location with a data structure for keeping track of activity information, either an existing structure or one that was created in the list of activity data for this location.

   Match a hotspot location with a data structure for keeping track of activity information, either an existing structure or one that was created in the list of activity data for this location.

   displayLoc

     the location for the hotpot that was normalized by the coordinate mapping function

   returns

     the hotspot data that corresponds to this location

   See also

     `HotSpotInfo`

7.  def UpdateDurationFunction(): Unit

   Assign a new functionality for determining how long hotspots remain active.

   Assign a new functionality for determining how long hotspots remain active. Recalculate all current hotspot information.

8.  def UpdateHotSpots(affectedFactions: Iterable[types.PlanetSideEmpire.Value], hotSpotInfos: Iterable[HotSpotInfo]): Unit

   Submit new updates regarding the hotspots for a given group (faction) in this zone.

   Submit new updates regarding the hotspots for a given group (faction) in this zone. As per how the client operates, all previous hotspots not represented in this list will be erased.

   affectedFactions

     the factions whose hotspots for this zone need to be redrawn; if empty, no update/redraw calls are generated

   hotSpotInfos

     the information for the current hotspots in this zone; if empty or contains no information for a selected group, that group's hotspots will be eliminated (blanked) as a result

9.  def UpdateMappingFunction(): Unit

   Assign new functionality for determining where to depict howspots on a given zone map.

   Assign new functionality for determining where to depict howspots on a given zone map. Recalculate all current hotspot information.

10.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
11.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
12.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
13.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
14.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
15.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
16.  var blanking: Cancellable

    the timer for the blanking process

17.  var blankingDelay: FiniteDuration

    how long to wait in between blanking periods while hotspots decay

18.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
19.  implicit val context: ActorContext
    Definition Classes
      Actor
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
22.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
23.  var galaxy: ActorRef

    a hook for the `GalaxyService` used to broadcast messages

24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
31.  def postStop(): Unit

    Actions that occur after this `Actor` is formally stopped.

    Actions that occur after this `Actor` is formally stopped. Cancel all future blanking actions and release the `GalaxyService` hook.

    Definition Classes
      ZoneHotSpotProjector → Actor
32.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
33.  def preStart(): Unit

    Actions that occur before this `Actor` is formally started.

    Actions that occur before this `Actor` is formally started. Request a hook for the `GalaxyService`.

    Definition Classes
      ZoneHotSpotProjector → Actor
    See also

      `ServiceManager`

      `ServiceManager.Lookup`

34.  def receive: Receive
    Definition Classes
      ZoneHotSpotProjector → Actor
35.  implicit final val self: ActorRef
    Definition Classes
      Actor
36.  final def sender(): ActorRef
    Definition Classes
      Actor
37.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped